org.acplt.oncrpc.apps.jportmap

## Class OncRpcEmbeddedPortmap.OncRpcEmbeddedPortmapThread

- java.lang.Object
- - java.lang.Thread
  - - org.acplt.oncrpc.apps.jportmap.OncRpcEmbeddedPortmap.OncRpcEmbeddedPortmapThread

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  OncRpcEmbeddedPortmap

     class OncRpcEmbeddedPortmap.OncRpcEmbeddedPortmapThread
    extends java.lang.Thread

The class `OncRpcEmbeddedPortmapThread` implements a thread which will run an embedded portmap service.

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Thread

`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

### Field Summary

Fields
`private OncRpcEmbeddedPortmap.embeddedjportmap` `portmap` The embedded portmap service object this thread belongs to.

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

### Constructor Summary

Constructors
Constructor and Description
`OncRpcEmbeddedPortmap.OncRpcEmbeddedPortmapThread(OncRpcEmbeddedPortmap.embeddedjportmap portmap)` Construct a new embedded portmap service thread and associate it with the portmap object to be used as the service.

### Method Summary

Methods
`void` `run()` Run the embedded portmap service thread, starting dispatching of all portmap transports until we get the signal to shut down.

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### portmap

    private OncRpcEmbeddedPortmap.embeddedjportmap portmap

The embedded portmap service object this thread belongs to. The service object implements the ONC/RPC dispatcher and the individual remote procedures for a portmapper).

### Constructor Detail

#### OncRpcEmbeddedPortmap.OncRpcEmbeddedPortmapThread

    public OncRpcEmbeddedPortmap.OncRpcEmbeddedPortmapThread(OncRpcEmbeddedPortmap.embeddedjportmap portmap)

Construct a new embedded portmap service thread and associate it with the portmap object to be used as the service. The service is not started yet.

### Method Detail

#### run

    public void run()

Run the embedded portmap service thread, starting dispatching of all portmap transports until we get the signal to shut down.

Specified by:
  `run` in interface `java.lang.Runnable`
Overrides:
  `run` in class `java.lang.Thread`